package com.jpattern.orm.generator.reflection;

import com.jpattern.orm.classmapper.IClassMapper;
import com.jpattern.orm.generator.GeneratorStrategy;
import com.jpattern.orm.generator.IPersistorGenerator;

/**
 * 
 * @author Francesco Cina'
 *
 * Mar 24, 2012
 */
public class ReflectionGeneratorStrategy implements GeneratorStrategy {

	@Override
	public <T> IPersistorGenerator<T> getGenerator(IClassMapper<T> classMapper, String classNameSuffix) {
		return new ReflectionPersistorGenerator<T>(classMapper);
	}

}
